
package hmi.dom.base;

/**
 * Generic XML validate exception for GWT and Java.
 * @author axw09011
 */
public class ValidateException extends Exception {
    
    private final String schemaName;
    private final String xmlData;
    

    /**
     * 
     * @param cause
     * @param xmlData XML data to validate.
     * @param schemaName Schema name, loaded with {@link Class#getResource(java.lang.String) }
     */
    public ValidateException(Throwable cause, String xmlData, String schemaName) {
        super(cause);
        this.schemaName = schemaName;
        this.xmlData = xmlData;
    }

    /**
     * @return the schemaName
     */
    public String getSchemaName() {
        return schemaName;
    }

    /**
     * @return the xmlData
     */
    public String getXmlData() {
        return xmlData;
    }
}
